Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class APCSheetCreditClassificationFinancialRows
    Inherits BaseObject

    Private _APCSheetHeader As APCSheetHeader
    Private _RowIndex As Long
    Private _ShortName As String
    Private _AmountHUF1 As Double
    Private _AmountHUF2 As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("APCSheetHeader-APCSheetCreditClassificationFinancialRows", GetType(APCSheetHeader)), VisibleInListView(False)> _
    Property APCSheetHeader As APCSheetHeader
        Get
            Return _APCSheetHeader
        End Get
        Set(value As APCSheetHeader)
            SetPropertyValue("APCSheetHeader", _APCSheetHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    <Size(255)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property AmountHUF1 As Double
        Get
            Return _AmountHUF1
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF1", _AmountHUF1, value)
        End Set
    End Property
    Property AmountHUF2 As Double
        Get
            Return _AmountHUF2
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF2", _AmountHUF2, value)
        End Set
    End Property
End Class
